package com.example.java17Example;

/*
, we create instances of the Employee record and print their details using the generated toString() method.
 We also access the record components using the generated accessor methods like name() and salary().
 The record simplifies the creation and use of data-holding classes,
 especially for cases where immutability and data access are important.
 */

public class RecordExample {
    public static void main(String[] args) {
        Employee employee1 = new Employee("Alice Smith", "HR", 50000.0);
        Employee employee2 = new Employee("Bob Johnson", "IT", 60000.0);

        // Printing employee details
        System.out.println("Employee 1: " + employee1);
        System.out.println("Employee 2: " + employee2);

        // Accessing record components
        System.out.println("Employee 1 Name: " + employee1.name());
        System.out.println("Employee 2 Salary: $" + employee2.salary());
    }
}







