package com.example.java17Example;


import java.time.Month;

/*
we use a switch expression to determine the time of the year (winter, spring, summer, or autumn) based on the month.
The switch expression evaluates the given month and returns a message based on the season associated with that month
 */

public class SwitchExpressionExample {
        public static void main(String[] args) {
            Month month = Month.MARCH; // Example month

            String timeOfDayMessage = switch (month) {
                case DECEMBER, JANUARY, FEBRUARY -> "It's winter!";
                case MARCH, APRIL, MAY -> "It's spring!";
                case JUNE, JULY, AUGUST -> "It's summer!";
                case SEPTEMBER, OCTOBER, NOVEMBER -> "It's autumn!";
            };

            System.out.println("For the month of " + month + ": " + timeOfDayMessage);
        }
    }


